PROBE::NFS.AOP.W(3stap)

NAME
probe::nfs.aop.write_begin - NFS client begin to write data

SYNOPSIS

nfs.aop.write_begin

VALUES

offset
    start address of this write operation

ino
    inode number

size
    write bytes

page_index
    offset within mapping, can used a page identifier and position identifier in the page frame

to
    end address of this write operation

__page
    the address of page

dev
    device identifier

DESCRIPTION

Occurs when write operation occurs on nfs. It prepare a page for writing, look for a request corresponding to the page. If there is one, and it belongs to another file, it flush it out before it tries to copy anything into the page. Also do the same if it finds a request from an existing dropped page

SEE ALSO
tapset::nfs(3stap)